Covara logoDocs
Endpoint ReferencePolicies

List policy types

Returns all policy types available in the Covara schema registry.

GET
/v1/policies

Returns all policy types available in the Covara schema registry.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/policies"
{
  "policies": [
    {
      "type": "string",
      "label": "string",
      "category": "string",
      "description": "string",
      "complexityRating": "string",
      "requiresBatching": true,
      "estimatedTokens": {
        "prompt": 0,
        "completion": 0
      }
    }
  ]
}
{
  "error": "string",
  "message": "string",
  "issues": [
    {}
  ],
  "required": [
    "string"
  ]
}
{
  "error": "string",
  "message": "string",
  "issues": [
    {}
  ],
  "required": [
    "string"
  ]
}